Skip to content

Get loan period by id

Request

Returns a single loan period

Security
oauth2(Required scopes: loan:read) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

loanPeriodIdstringrequired

The identifier of the period.

GET
/people/{personId}/loans/{loanId}/periods/{loanPeriodId}
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/periods/{loanPeriodId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Loan Period

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(LoanPeriod)
Response
{ "message": "string", "status": 0, "data": { "dueDate": "2019-08-24", "endDate": "2019-08-24", "id": "string", "startDate": "2019-08-24", "statementDate": "2019-08-24" } }